/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;

UPDATE [main].[setting] SET [title] = 'Credit units' WHERE [id] = 82;
UPDATE [main].[setting] SET [units] = null WHERE [id] = 84;
UPDATE [main].[setting] SET [units] = null WHERE [id] = 85;
UPDATE [main].[setting] SET [units] = null WHERE [id] = 86;
UPDATE [main].[setting] SET [units] = null WHERE [id] = 87;
UPDATE [main].[setting] SET [default] = 4, [value] = 4 WHERE [id] = 88;

insert into [main].[setting] values(89, 'Units per credit', null, '1,20', 1, null, null, '1', '1');


/* Drop table [main].[menuitem] */
drop table if exists [main].[menuitem];

/* Table structure [main].[menuitem] */
CREATE TABLE [main].[menuitem] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [title] VARCHAR NOT NULL,
  [type] VARCHAR,
  [data] VARCHAR,
  [order] INTEGER,
  [level] INTEGER);

/* Data [main].[menuitem] */
insert into [main].[menuitem] values(1, 'Main menu', '', '', 0, 0);
insert into [main].[menuitem] values(2, 'Test Menu', '', '', 1, 1);
insert into [main].[menuitem] values(3, 'Switch Test', 'MenuItem_Test_Switch', '', 2, 2);
insert into [main].[menuitem] values(4, 'Coil Test', '', '', 3, 2);
insert into [main].[menuitem] values(5, 'Ball Release', 'MenuItem_Test_Solenoid', 'ballRelease', 4, 3);
insert into [main].[menuitem] values(6, 'Lock Post', 'MenuItem_Test_Solenoid', 'lockPost', 5, 3);
insert into [main].[menuitem] values(7, 'Outhole', 'MenuItem_Test_Solenoid', 'outhole', 6, 3);
insert into [main].[menuitem] values(8, 'Scoop', 'MenuItem_Test_Solenoid', 'scoop', 7, 3);
insert into [main].[menuitem] values(9, 'Skillshot Kicker', 'MenuItem_Test_Solenoid', 'skillshotKicker', 8, 3);
insert into [main].[menuitem] values(10, 'Mini Playfield Gate', 'MenuItem_Test_Solenoid', 'miniGate', 9, 3);
insert into [main].[menuitem] values(11, 'Head Mouth', 'MenuItem_Test_Solenoid', 'headMouth', 10, 3);
insert into [main].[menuitem] values(12, 'Head Left Eye', 'MenuItem_Test_Solenoid', 'headLeftEye', 11, 3);
insert into [main].[menuitem] values(13, 'Head Right Eye', 'MenuItem_Test_Solenoid', 'headRightEye', 12, 3);
insert into [main].[menuitem] values(14, 'Jet Left', 'MenuItem_Test_Solenoid', 'jetL', 13, 3);
insert into [main].[menuitem] values(15, 'Jet Right', 'MenuItem_Test_Solenoid', 'jetR', 14, 3);
insert into [main].[menuitem] values(16, 'Jet Bottom', 'MenuItem_Test_Solenoid', 'jetB', 15, 3);
insert into [main].[menuitem] values(17, 'Jets Slingshot', 'MenuItem_Test_Solenoid', 'jetsSling', 16, 3);
insert into [main].[menuitem] values(18, 'Slingshot Left', 'MenuItem_Test_Solenoid', 'slingL', 17, 3);
insert into [main].[menuitem] values(19, 'Slingshot Right', 'MenuItem_Test_Solenoid', 'slingR', 18, 3);
insert into [main].[menuitem] values(20, 'Knocker', 'MenuItem_Test_Solenoid', 'knocker', 19, 3);
insert into [main].[menuitem] values(21, 'Adjustment Menu', '', '', 20, 1);
insert into [main].[menuitem] values(22, 'Rules', '', '', 21, 2);
insert into [main].[menuitem] values(23, 'Balls per game', 'MenuItem_Setting', '1', 22, 3);
insert into [main].[menuitem] values(24, 'Tournament Mode', 'MenuItem_Setting', '78', 23, 3);
insert into [main].[menuitem] values(25, 'Extra Balls', '', '', 24, 3);
insert into [main].[menuitem] values(26, 'Max E.B. Total', 'MenuItem_Setting', '79', 25, 4);
insert into [main].[menuitem] values(27, 'Max E.B. Per Ball', 'MenuItem_Setting', '80', 26, 4);
insert into [main].[menuitem] values(28, 'Alternative Award', 'MenuItem_Setting', '81', 27, 4);
insert into [main].[menuitem] values(29, 'Ball saver', '', '', 28, 3);
insert into [main].[menuitem] values(30, 'First ball saver', 'MenuItem_Setting', '4', 29, 4);
insert into [main].[menuitem] values(31, 'Later ball savers', 'MenuItem_Setting', '20', 30, 4);
insert into [main].[menuitem] values(32, 'Tilt', '', '', 31, 3);
insert into [main].[menuitem] values(33, 'Tilt warnings', 'MenuItem_Setting', '2', 32, 4);
insert into [main].[menuitem] values(34, 'Tilt warning gap', 'MenuItem_Setting', '3', 33, 4);
insert into [main].[menuitem] values(35, 'Multiball', '', '', 34, 3);
insert into [main].[menuitem] values(36, 'MB1 Jackpots required', 'MenuItem_Setting', '41', 35, 4);
insert into [main].[menuitem] values(37, 'Power Charge time', 'MenuItem_Setting', '8', 36, 4);
insert into [main].[menuitem] values(38, 'Heart rate drop time', 'MenuItem_Setting', '42', 37, 4);
insert into [main].[menuitem] values(39, 'Videomode', '', '', 38, 3);
insert into [main].[menuitem] values(40, 'Videomode enabled', 'MenuItem_Setting', '49', 39, 4);
insert into [main].[menuitem] values(41, 'PIN*BOT letters pre-lit', 'MenuItem_Setting', '50', 40, 4);
insert into [main].[menuitem] values(42, 'Wheel', '', '', 41, 3);
insert into [main].[menuitem] values(43, 'Small wheel', '', '', 42, 4);
insert into [main].[menuitem] values(44, '50K mode time', 'MenuItem_Setting', '11', 43, 5);
insert into [main].[menuitem] values(45, '100K mode time', 'MenuItem_Setting', '12', 44, 5);
insert into [main].[menuitem] values(46, '250K mode time', 'MenuItem_Setting', '13', 45, 5);
insert into [main].[menuitem] values(47, 'EB mode', '', '', 46, 5);
insert into [main].[menuitem] values(48, 'EB mode time', 'MenuItem_Setting', '14', 47, 6);
insert into [main].[menuitem] values(49, 'Lanes can unlite', 'MenuItem_Setting', '46', 48, 6);
insert into [main].[menuitem] values(50, 'Lite EB mode time', 'MenuItem_Setting', '15', 49, 5);
insert into [main].[menuitem] values(51, 'Lite JP mode time', 'MenuItem_Setting', '16', 50, 5);
insert into [main].[menuitem] values(52, 'Big wheel', '', '', 51, 4);
insert into [main].[menuitem] values(53, 'Billion mode', '', '', 52, 5);
insert into [main].[menuitem] values(54, 'Billion mode time', 'MenuItem_Setting', '70', 53, 6);
insert into [main].[menuitem] values(55, 'Time added per shot', 'MenuItem_Setting', '76', 54, 6);
insert into [main].[menuitem] values(56, 'Ball saver time', 'MenuItem_Setting', '77', 55, 6);
insert into [main].[menuitem] values(57, '10M mode time', 'MenuItem_Setting', '71', 56, 5);
insert into [main].[menuitem] values(58, '50M mode time', 'MenuItem_Setting', '72', 57, 5);
insert into [main].[menuitem] values(59, 'Special mode time', 'MenuItem_Setting', '73', 58, 5);
insert into [main].[menuitem] values(60, '5M mode time', 'MenuItem_Setting', '74', 59, 5);
insert into [main].[menuitem] values(61, '1M mode time', 'MenuItem_Setting', '75', 60, 5);
insert into [main].[menuitem] values(62, 'JP incr. per mode', 'MenuItem_Setting', '10', 61, 4);
insert into [main].[menuitem] values(63, 'Values doubled time', 'MenuItem_Setting', '9', 62, 4);
insert into [main].[menuitem] values(64, 'Pricing', '', '', 63, 2);
insert into [main].[menuitem] values(65, 'Free play', 'MenuItem_Setting', '83', 64, 3);
insert into [main].[menuitem] values(66, 'Reset credits', 'MenuItem_ResetCredits', '', 65, 3);
insert into [main].[menuitem] values(67, 'Coin Slots Units', '', '', 66, 3);
insert into [main].[menuitem] values(68, 'Left Coin Units', 'MenuItem_Setting', '84', 67, 4);
insert into [main].[menuitem] values(69, 'Center Coin Units', 'MenuItem_Setting', '85', 68, 4);
insert into [main].[menuitem] values(70, 'Right Coin Units', 'MenuItem_Setting', '86', 69, 4);
insert into [main].[menuitem] values(71, '4th Coin Units', 'MenuItem_Setting', '87', 70, 4);
insert into [main].[menuitem] values(72, 'Units per credit', 'MenuItem_Setting', '89', 71, 3);
insert into [main].[menuitem] values(73, 'Head position', 'MenuItem_Setting', '7', 72, 2);
insert into [main].[menuitem] values(74, 'Coil Strengths', '', '', 73, 2);
insert into [main].[menuitem] values(75, 'Ball Release', 'MenuItem_Setting', '53', 74, 3);
insert into [main].[menuitem] values(76, 'Lock Post', 'MenuItem_Setting', '25', 75, 3);
insert into [main].[menuitem] values(77, 'Outhole', 'MenuItem_Setting', '54', 76, 3);
insert into [main].[menuitem] values(78, 'Scoop', 'MenuItem_Setting', '55', 77, 3);
insert into [main].[menuitem] values(79, 'Skillshot Kicker', 'MenuItem_Setting', '56', 78, 3);
insert into [main].[menuitem] values(80, 'Head Mouth', 'MenuItem_Setting', '57', 79, 3);
insert into [main].[menuitem] values(81, 'Head Left Eye', 'MenuItem_Setting', '58', 80, 3);
insert into [main].[menuitem] values(82, 'Head Right Eye', 'MenuItem_Setting', '59', 81, 3);
insert into [main].[menuitem] values(83, 'Jet Left', 'MenuItem_Setting', '60', 82, 3);
insert into [main].[menuitem] values(84, 'Jet Right', 'MenuItem_Setting', '61', 83, 3);
insert into [main].[menuitem] values(85, 'Jet Bottom', 'MenuItem_Setting', '62', 84, 3);
insert into [main].[menuitem] values(86, 'Jets Slingshot', 'MenuItem_Setting', '63', 85, 3);
insert into [main].[menuitem] values(87, 'Slingshot Left', 'MenuItem_Setting', '64', 86, 3);
insert into [main].[menuitem] values(88, 'Slingshot Right', 'MenuItem_Setting', '65', 87, 3);
insert into [main].[menuitem] values(89, 'Knocker', 'MenuItem_Setting', '66', 88, 3);
insert into [main].[menuitem] values(90, 'Sound', '', '', 89, 2);
insert into [main].[menuitem] values(91, 'Master volume', 'MenuItem_Volume', '5', 90, 3);
insert into [main].[menuitem] values(92, 'Music volume', 'MenuItem_Volume', '67', 91, 3);
insert into [main].[menuitem] values(93, 'SFX volume', 'MenuItem_Volume', '68', 92, 3);
insert into [main].[menuitem] values(94, 'Voice volume', 'MenuItem_Volume', '69', 93, 3);
insert into [main].[menuitem] values(95, 'Display', '', '', 94, 2);
insert into [main].[menuitem] values(96, 'Dots shape', 'MenuItem_Setting', '29', 95, 3);
insert into [main].[menuitem] values(97, 'Scale', 'MenuItem_Setting', '33', 96, 3);
insert into [main].[menuitem] values(98, 'Vertical position', 'MenuItem_Setting', '35', 97, 3);
insert into [main].[menuitem] values(99, 'Horizontal position', 'MenuItem_Setting', '36', 98, 3);
insert into [main].[menuitem] values(100, 'Window border', 'MenuItem_Setting', '34', 99, 3);
insert into [main].[menuitem] values(101, 'Live', '', '', 100, 2);
insert into [main].[menuitem] values(102, 'Live enabled', 'MenuItem_Setting', '23', 101, 3);
insert into [main].[menuitem] values(103, 'Live DMD framerate', 'MenuItem_Setting', '88', 102, 3);
insert into [main].[menuitem] values(104, 'Localization', '', '', 103, 2);
insert into [main].[menuitem] values(105, 'Euro score format', 'MenuItem_Setting', '19', 104, 3);
insert into [main].[menuitem] values(106, 'Peripherals', '', '', 105, 2);
insert into [main].[menuitem] values(107, 'Betabrite', '', '', 106, 3);
insert into [main].[menuitem] values(108, 'BetaBrite', 'MenuItem_Setting', '17', 107, 4);
insert into [main].[menuitem] values(109, 'BetaBrite COM Port', 'MenuItem_Setting', '18', 108, 4);
insert into [main].[menuitem] values(110, 'Flipper Switch Mod', 'MenuItem_Setting', '51', 109, 3);
insert into [main].[menuitem] values(111, 'Player Profiles', 'MenuItem_PlayerProfiles', '', 110, 1);
insert into [main].[menuitem] values(112, 'Software Menu', '', '', 111, 1);
insert into [main].[menuitem] values(113, 'Current version', 'MenuItem_Setting', '0', 112, 2);
insert into [main].[menuitem] values(114, 'Exit current game', 'MenuItem_ExitGame', '', 113, 3);
insert into [main].[menuitem] values(115, 'Exit to launcher', 'MenuItem_ExitToLauncher', '', 114, 3);
insert into [main].[menuitem] values(116, 'Restart', 'MenuItem_RestartSoftware', '', 115, 3);
insert into [main].[menuitem] values(117, 'Version select', 'MenuItem_VersionSelect', '', 116, 2);
insert into [main].[menuitem] values(118, 'USB update', 'MenuItem_USBUpdate', '', 117, 2);
insert into [main].[menuitem] values(119, 'Internet update', 'MenuItem_InternetUpdate', '', 118, 2);
insert into [main].[menuitem] values(120, 'Pinmame ROM', 'MenuItem_Setting', '48', 119, 2);


/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
